reload_model
POST
/v1/models/reload
const url = 'https://example.com/v1/models/reload';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"model_id":"my-model"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/models/reload \ --header 'Content-Type: application/json' \ --data '{ "model_id": "my-model" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Request for model operations (unload, reload, status)
object
model_id
required
string
Example
my-modelResponses
Section titled “ Responses ”Model reloaded or already loaded
Media typeapplication/json
Response for model status operations
object
model_id
required
string
status
required
Model status enum
string
Example
{ "model_id": "my-model", "status": "loaded"}Invalid request or model cannot be reloaded
Model not found
Model state conflicts with the operation
Request body is too large
Request content type is not JSON
Model reload failure